Bug 55764 - EDITING: Cut and paste from FF/Chrome causes import options pop up
Summary: EDITING: Cut and paste from FF/Chrome causes import options pop up
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2012-10-08 13:35 UTC by repoman
Modified: 2019-12-03 14:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screen cap of import options pop-up (608.31 KB, image/jpeg)
2012-10-08 13:35 UTC, repoman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description repoman 2012-10-08 13:35:49 UTC
Created attachment 68254 [details]
screen cap of import options pop-up

Cut and paste from FF/Chrome causes Import options to open, with automatic radio button checked. Must hit ok on EVERY cut and paste from FF/chrome

Steps to reproduce:
1. .... copy text in firefox or Chrome
2. .... paste text into Calc
3. .... Import options with automatic radio button checked, pops up
4. .... Click ok to proceed

Current behaviour: Requires an extra click when the text that is being pasted is in same language ( English USA) as the language in the calc sheet. Language is already set to English ( USA). Source document in FF set to English/United States [en-us]. Calc cell format is set to text

Expected behaviour: Cut n paste without import pop up. 

Platform (if different from the browser): Ubuntu 12.04 LTS 64bit
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:15.0) Gecko/20100101 Firefox/15.0.1

Problem also happens in Chrome Version 20.0.1132.47 Ubuntu 12.04 (144678)

This behavior does not happen with Opera:
Version information
Version
12.02 
Build
1578 
Platform
Linux 
System
x86_64, 3.2.0-31-generic 
Browser identification

Opera/9.80 (X11; Linux x86_64; U; en) Presto/2.10.289 Version/12.02
Comment 1 A (Andy) 2013-03-02 12:45:43 UTC
not reproducible with LO 4.0.0.3 (Win7 Home, 64bit): no IMPORT OPTIONS dialog box pops up

Does this behavior still persist for you with the latest release of LibreOffice?
Comment 2 repoman 2013-03-03 16:44:35 UTC
Tested this morning:
Version 3.6.2.2 (Build ID: 360m1(Build:2)) libre office calc

FF 18 for linux mint 1.0 cut and pasted from

OS:Linux Mint 14 Nadia


See screen cap





On Sat, 02 Mar 2013 07:45:43 -0500, <bugzilla-daemon@freedesktop.org>  
wrote:

>
> Comment # 1 on bug 55764 from Anot reproducible with LO 4.0.0.3 (Win7  
> Home, 64bit): no IMPORT OPTIONS dialog
> box pops up
>
> Does this behavior still persist for you with the latest release of
> LibreOffice?
> You are receiving this mail because:You reported the bug.
Comment 3 bfoman (inactive) 2013-05-02 13:04:59 UTC
Checked with:
LO 4.0.2.2
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Could not reproduce. Linux only?
Comment 4 Tim Lloyd 2013-07-05 04:37:04 UTC
confirmed on Fedora 19 with LO4.0.4.2 and Firefox

NOT reproducible on Windows 7 with LO portable 4.0.1.2
Comment 5 Jorendc 2013-07-05 08:00:49 UTC
(In reply to comment #4)
> confirmed on Fedora 19 with LO4.0.4.2 and Firefox

So -> NEW

> NOT reproducible on Windows 7 with LO portable 4.0.1.2

So indeed Linux only.

@Bug reporter: following bug details you use version 3.5.4 of LibreOffice (or 3.6.2.2). tip: you can use the PPA's to keep up to date. Our 4.0-branch provides now stable releases, so you might try that PPA: https://launchpad.net/~libreoffice/+archive/libreoffice-4-0

Kind regards,
Joren
Comment 6 QA Administrators 2015-04-01 14:39:55 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2015-04-19 13:36:45 UTC
Reproduced.
Not on Windows. I even used the clipboard contents from Ubuntu VM to paste into Windows Calc.

Ubuntu 14.10 64-bit 
Version: 4.5.0.0.alpha0+
Build ID: afb82d3729bda2754d0add08cc6c4dce1dc76d59
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-04-14_00:05:04
Locale: en_US

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI
Comment 8 QA Administrators 2016-09-20 09:31:50 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-12-03 14:07:06 UTC
Dear repoman,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug